/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package mybank;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 *
 * @author Verde
 */
public class Persona {

    private String nome;
    private String cognome;
    private String codiceFiscale;

    @JsonFormat
      (shape = JsonFormat.Shape.STRING, pattern = "dd/MM/yyyy",
    timezone = "Europe/Rome")
    private Date dataDiNascita;

    private static ArrayList<String> codiciFiscali = new ArrayList<>();

    public Persona(){}

    public Persona(String nome, String cognome, String codiceFiscale, Date dataDiNascita) {
        this.nome = nome;
        this.cognome = cognome;
        this.codiceFiscale = codiceFiscale;
        this.dataDiNascita = dataDiNascita;
        codiciFiscali.add(codiceFiscale);
    }

    public String getCodiceFiscale() {
        return codiceFiscale;
    }

    public static List<String> getCodiciFiscali() {
        return codiciFiscali;
    }

    public static void setCodiciFiscali(List<String> codiciFiscali) {
        Persona.codiciFiscali = (ArrayList<String>) codiciFiscali;
    }

    public String getNome() {
        return nome;
    }

    public String getCognome() {
        return cognome;
    }

    @Override
    public String toString(){
        return "\tNome: " + this.nome + "\n\tCognome: " + this.cognome + "\n\tCodice fiscale: " + this.codiceFiscale
                + "\n\tData di nascita: " + new SimpleDateFormat("dd/MM/yyyy").format(dataDiNascita);
    }
}